FROM library/python:3.10
    MAINTAINER Reid 'arrdem' McKenzie <me@arrdem.com>

RUN pip install --upgrade pip

RUN useradd -d /app app
RUN mkdir -p /app /data
RUN chown -R app:app /app /data
USER app
WORKDIR /app
VOLUME /data
ENV DOCKER_RUNNING=true

ENV PYTHONPATH="/app:${PYTHONPATH}"
ENV PYTHONUNBUFFERED=true
ENV PATH="/app/.local/bin:${PATH}"

### App specific crap
# Deps vary least so do them first
RUN pip3 install --user install aiohttp aiohttp_basicauth async_lru cachetools click pycryptodome pyyaml retry

COPY --chown=app:app docker_relay.sh /app/relay.sh
COPY --chown=app:app src/python /app/

EXPOSE 8080
CMD ["/bin/sh", "/app/relay.sh"]
